/**
 * output package name
 */
package com.kingdee.eas.custom.interfacelog.enumdata;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class RequestStatusEnum extends StringEnum
{
    public static final String NORMAL_VALUE = "0";//alias=Õý³£
    public static final String ABNORMAL_VALUE = "1";//alias=Òì³£

    public static final RequestStatusEnum NORMAL = new RequestStatusEnum("NORMAL", NORMAL_VALUE);
    public static final RequestStatusEnum ABNORMAL = new RequestStatusEnum("ABNORMAL", ABNORMAL_VALUE);

    /**
     * construct function
     * @param String requestStatusEnum
     */
    private RequestStatusEnum(String name, String requestStatusEnum)
    {
        super(name, requestStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static RequestStatusEnum getEnum(String requestStatusEnum)
    {
        return (RequestStatusEnum)getEnum(RequestStatusEnum.class, requestStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(RequestStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(RequestStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(RequestStatusEnum.class);
    }
}